Subject: [Enum] Status of draft-ietf-enum-msg

From: "Stastny Richard" <[email-masked]>
Date: Tue, 08 Feb 2005 07:03:42 -0500

Folks,

I am not sure if this is an agenda item, but the authors
of draft-ietf-enum-msg are currently at a loss on how to move this 
draft forward within IESG and may want ask the enum WG and/or 
the AD how to proceed:

Just a short recap of the situation:

After the requested submission of a new draft -03 Mr. Harald Alvestrand
put the draft on hold by stating:

"Version -03 does not address the issue of "what does it mean to send an (sms, ems, mms) over email". My DISCUSS stands."

Although the authors did not really get the problem since:
1. they are sending sms and mms back and forth between mobile phones and 
e-mail accounts since years.
2. 3GPP has standardized the use of smtp as protocol to send mms between
MMS Centers
3. It was not considered to get into details of other protocols
In enumservice registrations
4. the relevant standards have nevertheless been referenced in the 
draft, namely:

[16]  3GPP, "Technical realization of the Short Message Service
         (SMS);  (Release5)", 3GPP TS 23.040.

[17]  3GPP, "Multimedia Messaging Service (MMS); Functional
         description;  Stage 2 (Release 5)", 3GPP TS 23.140.

[21]  3GPP, "Multimedia Messaging Service (MMS); Media formats and
         codecs;  (Release 5)", 3GPP TS 26.140.

we forwarded the drafts to Harald, and Allison arranged a meeting
during the last IETF in Washington between Harald, Allison and myself.

I explained the drafts and the past and current situation regarding 
interworking between sms, mms and mail exchanges. Harald promised
to look at the drafts and to inform Allison and me of the outcome.

I did not hear anything from Harald until last week, when I had a 
chance to talk to him at a meeting in Vienna.

Harald gave a presentation on "How to male an RFC" and the basic message was:
You have to write one, you have to talk to many people and you have
to wait - How true ;-)

I asked Harald if he still has problems and he answered: Yes, I have
read the documents and still have loose ends. Maybe you could send
me a MMS to my e-mail account.

What we did.

He also sent me an e-mail back with the following text:

>Richard,

>per our brief conversation in Vienna:

>What I said in October (recorded in the I-D tracker) was:

>>  Version -03 does not address the issue of "what does it mean to send 
>> an (sms, ems, mms) over email". My DISCUSS stands.

>I was informed by Allison that -03 was intended to address other issues, >and did not add the references I had asked for.

>I remember an exchange of messages about the document subsequent to this, >but I don't carry many messages more than a month old on my laptop while >I'm on the road, so I can't look it up now.

>However - it's likely that I ended that conversation with something like >"I'll be fine once those references are added to the document". The >document hasn't been updated.

>Over to you.....

>Harald

The problem with this statement is that we added the references already
to the drafts, so bringing at a new version may not help.

The only possibility is to add some additional references. We found e.g.
in draft-ietf-lemonade-mms-mapping-02.txt in addition to two of
our references from 3GPP the following references to 3GPP2:

[Stage_3] "MMS MM1 Stage 3 using OMA/WAP", X.S0016-310
    
"MMS MM4 Stage 3 Inter-Carrier Interworking", X.S0016-340
    
"Multimedia Messaging Service:  Functional description; Stage 2", TS
    23.140 Release 5.
    
[Formats] "Multimedia Messaging Service (MMS) Media Format and
    Codecs for cdma2000 Spread Spectrum SystemsÔ, C.S0045
    
[Overview] "Multimedia Messaging Services (MMS) Overview",
    X.S0016-000
    
[Stage_1] "Multimedia Messaging Services (MMS); Stage 1",
    Requirements, October 2002, S.R0064-0.
    
[Stage_2] ÓMultimedia Messaging Service (MMS); Stage 2", Functional
    Specification, April 2003, X.S0016-200.
    
"Multimedia Messaging Service; Media formats and codecs",
    TS26.140Release 5.

If this is considered helpful we could add the 6 3GPP2 references
in addition.

We ask the group, the shepherding AD and Harald for advise.

Best regards
Richard

> -----Original Message-----
> From: enum-bounces at ietf.org [mailto:enum-bounces at ietf.org] On Behalf Of
> Richard Shockey
> Sent: Saturday, February 05, 2005 4:24 PM
> To: enum at ietf.org
> Subject: [Enum] Agenda Items for Minneapolis
> 
> 
> I'd like suggestions again for agenda items.
> 
> What we would have so far is
> 
> 1. Discussion of the ENUM dip indicator on behalf of the IPTEL WG.
> 
> 2. Status from Patrik on what is happening with the IANA and enumservice
> registrations.
> 
> 3. There seems to be a sense that we need to at least discuss some of the
> structure issues in enumservice registrations in general terms ..this
> seems
> to be a warm issue recently.
> 
> 4. Issues related to  Iris for ENUM  -- We have had no in-depth discussion
> of this draft on the list and we'd like to see more.
> http://www.ietf.org/internet-drafts/draft-ietf-enum-iris-ereg-00.txt
> 
> 5. WG next steps ?
> 
> Thoughts ?
> 
> 
> 
>  >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
> Richard Shockey, Senior Manager, Strategic Technology Initiatives
> NeuStar Inc.
> 46000 Center Oak Plaza  -   Sterling, VA  20166
> sip:rshockey(at)iptel.org   sip:57141 at fwd.pulver.com
> ENUM +87810-13313-31331
> PSTN Office +1 571.434.5651 PSTN Mobile: +1 703.593.2683,  Fax: +1
> 815.333.1237
> <mailto:richard(at)shockey.us> or <mailto:richard.shockey(at)neustar.biz>
> <http://www.neustar.biz> ; <http://www.enum.org>
> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
> 
> 
> _______________________________________________
> enum mailing list
> enum at ietf.org
> https://www1.ietf.org/mailman/listinfo/enum

_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum